Debian Bug report logs - #694723
live-build: bootparameters can't accept | chars

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Thanatermesis <thanatermesis@gmail.com>

Date: Thu, 29 Nov 2012 14:30:02 UTC

Severity: normal

Found in version live-build/3.0~a67-1

Fixed in version live-build/3.0~a68-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#694723; Package live-build. (Thu, 29 Nov 2012 14:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis <thanatermesis@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 29 Nov 2012 14:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thanatermesis <thanatermesis@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: bootparameters can't accept | chars
Date: Thu, 29 Nov 2012 15:26:50 +0100
Package: live-build
Version: 3.0~a67-1
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

In the boot parameter arguments we can include multiple hooks to run
using the | character as seen in the file 9990-hooks in live-config
package, but when this option is passed from --bootappend-live in
live-build, the build fails in the binary-grub* steps because there's a
sed command using something like:

sed "s|foo|bar|"

error message in live-build building the iso is:

sed: -e expresión #1, carácter 195: opción desconocida para `s'




- -- Package-specific info:

- -- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-4-686-pae (SMP w/2 CPU cores)
Locale: LANG=es_ES.UTF-8, LC_CTYPE=es_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.42

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~b7-1
ii  live-config-doc                 3.0.12-1
ii  live-manual-html [live-manual]  1:3.0~a13-1

Versions of packages live-build suggests:
ii  dosfstools       3.0.13-1
ii  fakeroot         1.18.4-2
ii  genisoimage      9:1.1.11-2
ii  git              1:1.7.10.4-1+wheezy1
pn  loadlin          <none>
ii  memtest86+       4.20-1.1
ii  mtools           4.0.17-1
ii  parted           2.3-11
ii  squashfs-tools   1:4.2-5
ii  sudo             1.8.5p2-1
pn  syslinux | grub  <none>
ii  uuid-runtime     2.20.1-5.2
pn  win32-loader     <none>

- -- no debconf information


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQt3CqAAoJEKLHmb/f+NfCGIIP/1kqRUy4ijZfHlMKLa/gMjiE
jQLIe9KuG+oJp4MAaQ9SfZplfu+kx5oIM4GUJrCSxCiAnmRWz4r8q3ODQiwkXivZ
mk1zpGIn7mon5LYwMgOHUyOFfHrGhNSMiEg6hlRLt0hfJMtoNV9LXK3EpSUP2YHk
AgV8RM5SAxOOkkdbItrA2Ccn7VpbGZw8ox5oGym23zPmzkEW99zFnXa7Si3HYllY
JiPEx3+T349RtqSMZ7XhiKZybvjhm9MHwzkVJ6pL/cY8qUX+r0VrSf/4Ew5S3szX
xqvhXckdWzpjbbtakyL6OePmJRMVu25TDGdWMrI2Ehi0QonxKVmomv1IfToGpPLt
LAwo5M8HRER3NZfXkO/IrjWUyaUfOLdKssheb6YAAS2+U1cVuHkIOOqEzjZIdcpL
WuWSMcUSj7PbspvpHiIkLzBLMS5VCw+NmWqHzY9FUe9EdvxN3d+mvjM4YySAKG8r
amQktejGdfLMdZphZayOvuwYw8FpAtU8PdBSlZ9jnChss9zws+BqIIyHwU4Ra1sm
8wnbYIQWP37pR0/tGw3eFIeYMQK2slaKxhAO0ro7LZ8gr0PgFcjPnLJcZKvFgX/n
G7IB+ZBEM7ozGUsdxDNoRHzAKrxEc1jegfl8jZLFUaIj8fBtynMUyk0Udh0TWNBI
PU4hhggFyWBVkguIZQKG
=3/AK
-----END PGP SIGNATURE-----



Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 30 Nov 2012 14:51:26 GMT) Full text and rfc822 format available.

Notification sent to Thanatermesis <thanatermesis@gmail.com>:
Bug acknowledged by developer. (Fri, 30 Nov 2012 14:51:26 GMT) Full text and rfc822 format available.

Message #10 received at 694723-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 694723-close@bugs.debian.org
Subject: Bug#694723: fixed in live-build 3.0~a68-1
Date: Fri, 30 Nov 2012 14:49:27 +0000
Source: live-build
Source-Version: 3.0~a68-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694723@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 30 Nov 2012 15:09:48 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~a68-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 685924 693250 693732 694102 694723
Changes: 
 live-build (3.0~a68-1) unstable; urgency=low
 .
   [ Ben Armstrong ]
   * Fixing typo in cache directory names, thanks to Thanatermesis
     <thanatermesis@gmail.com>.
 .
   [ Daniel Baumann ]
   * Correcting copying of archive specific apt preferences files, thanks
     to Thanatermesis <thanatermesis@gmail.com> (Closes: #693250).
   * Correcting a typo in chroot_apt when re-configuring apt preferences,
     found by Thanatermesis <thanatermesis@gmail.com> (Closes: #685924).
 .
   [ Richard Nelson ]
   * Update git paths for cgi form.
   * Increased the maxlenth of the entry field cgipackages.list.chroot on
     l-b.cgi (Closes: #693732).
 .
   [ Daniel Baumann ]
   * Adding backwards compatible handling for squeeze and the ubuntus for
     old-style Contents files in the archive.
   * Adding default-preseeding for non-free firmware only when non-free is
     actually included, to avoid cluttering debconf db by default on all
     systems.
 .
   [ Richard Nelson ]
   * Correct typo on commit 11d97a6a5f17fe2c500a798aa4a32fa6889e409c
   * Correct another typo on commit
     11d97a6a5f17fe2c500a798aa4a32fa6889e409c
 .
   [ Daniel Baumann ]
   * Marking comments in checksum files as such to avoid harmless but
     anoying warning messages during live-boots medium integrity check.
   * Updating note about integrity check boot parameter within checksum
     files.
   * Adding default hook to remove linux-image backup files.
   * Using four letter digit prefixes for hooks like for consistency with
     all other live packages.
   * Adding dpkg-source local options.
   * Using hash rather than pipe as sed separator for writing boot
     parameters into bootloader configurations (Closes: #694723).
   * Replicating same qemu support within bootstrap_debootstrao for
     bootstrap_cdebootstrap too (Closes: #694102).
Checksums-Sha1: 
 6daadc72bcb7d4856b249cfd9b1a0cd9ace38179 1329 live-build_3.0~a68-1.dsc
 d4c24c28ff23440bc78cc8faf57bfda3aa8227f4 162676 live-build_3.0~a68.orig.tar.xz
 a5e68bca0f14bcc230da93949b8e25a8cf627349 49664 live-build_3.0~a68-1.debian.tar.xz
 9f73b1212b47484a660bc045c29c632d42f8ea6c 195824 live-build_3.0~a68-1_all.deb
 a38d72fc1a5a274cbf4297a9380b42b3c01d71df 73772 live-build-cgi_3.0~a68-1_all.deb
Checksums-Sha256: 
 060257ca9903c7b6623a02622d9363e6192baf1500f053b82e1259e52ba571ff 1329 live-build_3.0~a68-1.dsc
 ceda49eaf84bac26537e857f424ac8040cff32341536d267f928369b5292d9df 162676 live-build_3.0~a68.orig.tar.xz
 3b59f9407b3c3b5f57dbc0453006fcceb7f2f9b417b0df3d2079b5a68d55a942 49664 live-build_3.0~a68-1.debian.tar.xz
 a1dba8d3a2bad0c60ff9dbade3856cf9b288763b6fc9bc29aa3acd978da991ae 195824 live-build_3.0~a68-1_all.deb
 5a77fc1a9005079c70c0b63964f335831dfa40f4bcf380b8af411be1b2e4fd79 73772 live-build-cgi_3.0~a68-1_all.deb
Files: 
 f80a1ab14f7aebb2f7648b190649f00f 1329 misc optional live-build_3.0~a68-1.dsc
 67ca55ff571638d7a3eea883f0e171e7 162676 misc optional live-build_3.0~a68.orig.tar.xz
 b05c45c9b46a1d5f1b9dc0b8ff40b3ab 49664 misc optional live-build_3.0~a68-1.debian.tar.xz
 537445cd3d32781f234ec705838d79a4 195824 misc optional live-build_3.0~a68-1_all.deb
 35830884cc472967ae14e26e99d3ba35 73772 misc optional live-build-cgi_3.0~a68-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlC4whcACgkQ+C5cwEsrK564uACgxuOVMizslXCs6X5NgmuBlXzR
yWYAn0f8+qnTdzp0YRfaEKeECWMEguFA
=3MJx
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 29 Dec 2012 07:25:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:59:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.